/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

package	demoApp.presentation.utilities;

import com.lutris.appserver.server.session.*;
import com.lutris.appserver.server.httpPresentation.*;
import com.lutris.appserver.server.jolt.joltpo.*;
import com.lutris.util.*;
import com.lutris.http.*;

import demoApp.DemoApp;

/**
 * Utility methods for working with the SessionManager.
 * 
 * @version	$Revision: 1.18 $
 * @author	Shawn McMurdo
 */
public class SessionUtils
{
    private static final String auth_failed = "Authentication failed.";
    static final String loginPage = "/login/Login.po";

    public static void authenticate(JoltPage page)
	throws Exception
    {
        if (page.session.getUser() == null) {
            ClientPageRedirectException redir =
                new ClientPageRedirectException(page.request.getPresentationPath() +
                                                loginPage);
            redir.addArgument("login.deny", "true");
            redir.addArgument("login.message", auth_failed);
	    throw redir;
	}
    }
}

