package poker.presentation.login;
 
import java.io.*;
import java.net.*;
import com.lutris.http.*;
import com.lutris.appserver.server.httpPresentation.*;
import com.lutris.appserver.server.user.*;
import com.lutris.util.*;
import poker.business.*;
import poker.data.user.*;
import poker.Poker;

/**
 *   Presentation Object that processes the creation request and redirects
 *      to the appropriate page.
 *
 * 
 * EnhyDraw!, beta 4, 5/21/99
 *
 * Copyright 1999, Larry Wolcot & Daryl Tempesta
 * ALL rights reserved. Not for commercial use
 * without written permission from both authors.
 *
 * @author Larry Wolcott
 * @version $Revision: 1.1.1.1 $
 */
public class CreationProcessor implements HttpPresentation{

    static final String badname = "Name is already used!";
    static final String badpass = "Invalid password!";
    static final String badpassword = "Incorrect username or password.";
    static final String toomanylogins = "Login failed: Exceeded maximum number of sessions.";
    static final String homePage = "main/popup.po";
    static final String loginPage = "login/CreatePlayer.po";
    static final String errorMsgArg = "errorMsg";
    static final String debugArg = "debug";
    static final String helpArg = "help";
    public GameManager gameManager;

    public void run(HttpPresentationComms comms) throws Exception{

        Poker application = (Poker)comms.application;
        gameManager = application.getGameManager();
	String cookieval = "";
	String nousername ="You must specify a username and password to login.";
        String username = comms.request.getParameter("username");
        String pw = comms.request.getParameter("pw");
	String email = comms.request.getParameter("email");
        String deck = comms.request.getParameter("deck");
	String thisDeck = "deck1";
	if (deck.equals("2")){ thisDeck = "deck2"; }
        if (deck.equals("3")){ thisDeck = "deck3"; }
        if (deck.equals("4")){ thisDeck = "deck4"; }

       String pp = comms.request.getApplicationPath();
       if (!pp.endsWith("/"))
           pp += "/";

       String redirect = loginPage;
       String message = "";
       boolean auth = true;
       String id = comms.session.getSessionKey();

       if ((!username.equals("")) & (!pw.equals(""))){	
           auth = gameManager.getIsNameUsed(username);
           if (auth){
	       message = badname;
    	       comms.session.getSessionData().set("error",message);
           } else {
	       PokerGame newGame = new PokerGame(username, pw, id, 500);
	       GameManager g = application.getGameManager();
	       newGame.setDeck(thisDeck);
               newGame.setEmail(email);
	       gameManager.addGame(newGame);
               comms.session.setUser(newGame.getPlayer());
               comms.session.getSessionData().set("game", newGame);
               comms.session.getSessionData().set("error", "");
	       redirect = homePage;
	   }
       } else { 
	   message = badpassword;
           comms.session.getSessionData().set("error", message);
       }


    throw new ClientPageRedirectException(
                  comms.request.getAppFileURIPath(redirect));
    }
}
