/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

package phoneList.business;

import phoneList.data.PersonDO;


/**
 * Person defines the business level methods available to modify
 * a person.  This object would enforce any business logic....
 * it isn't really used by this demo.
 */
public class Person {

    private PersonDO p;

    protected Person(PersonDO p) {
        this.p = p;
    }

    public String getFirstName() {
        try {
            return p.getFirstName();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

    public String getLastName() {
        try {
            return p.getLastName();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

    public String getPhoneNumber() {
        try {
            return p.getPhoneNumber();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

    public String getId() throws Exception {
        try {
            return "" + p.getOId();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

}


